#include <iostream>
#include <fstream>
#include <string>

void menu() {
    std::cout << "1. Not Ekle" << std::endl;
    std::cout << "2. Notları Görüntüle" << std::endl;
    std::cout << "3. Çıkış" << std::endl;
}

void addNote() {
    std::ofstream file("notes.txt", std::ios::app);
    if (!file) {
        std::cerr << "Dosya açılamadı." << std::endl;
        return;
    }
    std::string note;
    std::cout << "Notunuzu girin: ";
    std::getline(std::cin, note);
    file << note << std::endl;
    file.close();
}

void viewNotes() {
    std::ifstream file("notes.txt");
    if (!file) {
        std::cerr << "Dosya açılamadı." << std::endl;
        return;
    }
    std::string line;
    std::cout << "Notlar:" << std::endl;
    while (std::getline(file, line)) {
        std::cout << line << std::endl;
    }
    file.close();
}

int main() {
    int choice;
    do {
        menu();
        std::cout << "Seçiminizi yapın: ";
        std::cin >> choice;
        std::cin.ignore(); // Önceki seçimden kalan newline karakterini temizle
        switch (choice) {
            case 1:
                addNote();
                break;
            case 2:
                viewNotes();
                break;
            case 3:
                std::cout << "Programdan çıkılıyor..." << std::endl;
                break;
            default:
                std::cout << "Geçersiz seçim. Tekrar deneyin." << std::endl;
        }
    } while (choice != 3);

    return 0;
}
